/*    
@licstart  The following is the entire license notice for the JavaScript code in this page.

This file is part of Libre Media Collection.

Libre Media Collection: Project to provide free/libre software to be distributed in removable media.
Copyright © 2016  Adonay "adfeno" Felipe Nogueira <adfeno@openmailbox.org> <https://libreplanet.org/wiki/User:Adfeno>

The JavaScript code in this page is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License (GNU GPL) as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.  The code is distributed WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU GPL for more details.

As additional permission under GNU GPL version 3 section 7, you may distribute non-source (e.g., minimized or compacted) forms of that code without the copy of the GNU GPL normally required by section 4, provided you include this license notice and a URL through which recipients can access the Corresponding Source.

@licend  The above is the entire license notice for the JavaScript code in this page.
*/

function kasiNematcoLang(intertempaNodaListo, intertempaNodaEtikedoNomo) {
	var lingvo = window.navigator.userLanguage || window.navigator.language; kasajNodoj = []; nodojDeIntereso = {unue : {nodo : undefined, komencaValoro : undefined}, simila : {nodo : undefined, komencaValoro : undefined}}, nodojKunLangEco = [];
	for (var ripeto = 0; ripeto < intertempaNodaListo.length; ripeto++) {
		if (intertempaNodaListo[ripeto].tagName == intertempaNodaEtikedoNomo.toUpperCase() && intertempaNodaListo[ripeto].hasAttribute("lang")) {
			nodojKunLangEco.push(intertempaNodaListo[ripeto]);
			if (typeof nodojDeIntereso.simila.nodo == "undefined" && !RegExp(lingvo, "i").test(intertempaNodaListo[ripeto].getAttribute("lang")) && RegExp(lingvo.substr(0, 2), "i").test(intertempaNodaListo[ripeto].getAttribute("lang"))) {
				nodojDeIntereso.simila.nodo = intertempaNodaListo[ripeto];
				nodojDeIntereso.simila.komencaValoro = intertempaNodaListo[ripeto].style.display;
			}
			
			if (typeof nodojDeIntereso.unue.nodo == "undefined") {
				nodojDeIntereso.unue.nodo = intertempaNodaListo[ripeto];
				nodojDeIntereso.unue.komencaValoro = intertempaNodaListo[ripeto].style.display;
			}
			if (intertempaNodaListo[ripeto].getAttribute("lang") != lingvo) {
				intertempaNodaListo[ripeto].style.display = "none";
				kasajNodoj.push(intertempaNodaListo[ripeto]);
			}
		}
	}
	
	if (nodojKunLangEco.length) {
		if (kasajNodoj.length == nodojKunLangEco.length) {
			if (typeof nodojDeIntereso.simila.nodo != "undefined") {
				nodojDeIntereso.simila.nodo.style.display = nodojDeIntereso.simila.komencaValoro;
			}
			else if (typeof nodojDeIntereso.unue.nodo != "undefined") {
				nodojDeIntereso.unue.nodo.style.display = nodojDeIntereso.unue.komencaValoro;
			}
			return false;
		}
	}
	return true;
}
